namespace BarChartCars
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;
    using Telerik.Reporting;
    using Telerik.Reporting.Charting;
    using Telerik.Reporting.Drawing;

    /// <summary>
    /// Summary description for Report1.
    /// </summary>
    public partial class Report1 : Telerik.Reporting.Report
    {
        public Report1()
        {
            //
            // Required for telerik Reporting designer support
            //
            InitializeComponent();

            //
            // TODO: Add any constructor code after InitializeComponent call
            //
        }

        public static object SetData(object data, object item)
        {
            List<Car> list = data as List<Car>;

            Telerik.Reporting.Processing.Chart procChart = item as Telerik.Reporting.Processing.Chart;
            Telerik.Reporting.Chart chartDef = procChart.ItemDefinition as Telerik.Reporting.Chart;

            for (int i = 0; i < list.Count; i++)
            {
                ChartSeries chartSeries = new ChartSeries();
                chartSeries.Name = "series " + i.ToString();
                chartSeries.Type = ChartSeriesType.Bar;

                //Set the series color
                chartSeries.Appearance.FillStyle.MainColor = i == 1 ? Color.Red : (i == 2 ? Color.Yellow : Color.Green);


                chartSeries.AddItem(list[i].Speed, list[i].Manufacturer);
                chartDef.Series.Add(chartSeries);
            }

            return null;
        }
    }
}